/**
 * TurboGUI is A library that helps with the most common and generic UI elements and functionalities
 *
 * Website : -> http://www.turbogui.org
 * License : -> Licensed under the Apache License, Version 2.0. You may not use this file except in compliance with the License.
 * License Url : -> http://www.apache.org/licenses/LICENSE-2.0
 * CopyRight : -> Copyright 2018 Edertone Advanded Solutions. https://www.edertone.com
 */
import { ElementRef, NgZone, Renderer2, AfterContentInit } from '@angular/core';
import * as i0 from "@angular/core";
/** This directive is used to perform an autofocus on an element every time it is displayed */
export declare class AutoFocusOnDisplayDirective implements AfterContentInit {
    private el;
    private zone;
    private renderer;
    constructor(el: ElementRef, zone: NgZone, renderer: Renderer2);
    ngAfterContentInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AutoFocusOnDisplayDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<AutoFocusOnDisplayDirective, "[autoFocusOnDisplay]", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=AutoFocusOnDisplayDirective.d.ts.map