/**
 * TurboGUI is A library that helps with the most common and generic UI elements and functionalities
 *
 * Website : -> http://www.turbogui.org
 * License : -> Licensed under the Apache License, Version 2.0. You may not use this file except in compliance with the License.
 * License Url : -> http://www.apache.org/licenses/LICENSE-2.0
 * CopyRight : -> Copyright 2018 Edertone Advanded Solutions. https://www.edertone.com
 */
import { EventEmitter, OnInit } from '@angular/core';
import * as i0 from "@angular/core";
/** This directive is used to listen for onInit events on raw html elements */
export declare class ElementCreatedDirective implements OnInit {
    /**
     * Event that will be dispatched once element is created
     */
    elementCreated: EventEmitter<ElementCreatedDirective>;
    /**
     * Listen for the on init event
     */
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ElementCreatedDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ElementCreatedDirective, "[elementCreated]", never, {}, { "elementCreated": "elementCreated"; }, never, never, false, never>;
}
//# sourceMappingURL=ElementCreatedDirective.d.ts.map