import * as i0 from "@angular/core";
/**
 * Fade animations
 */
export declare class FadeAnimationClass {
    /**
     * Get a custom trigger to create fade animations when components are added or removed from the application
     *
     * @param triggerName The name for the trigger we want to create
     * @param enter The time and easing that we want to use for the enter state
     * @param leave The time and easing that we want to use for the leave state
     */
    static getTrigger(triggerName: string, enter?: string, leave?: string): import("@angular/animations").AnimationTriggerMetadata;
    static ɵfac: i0.ɵɵFactoryDeclaration<FadeAnimationClass, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FadeAnimationClass>;
}
//# sourceMappingURL=fade.animation.d.ts.map