/**
 * TurboGUI is A library that helps with the most common and generic UI elements and functionalities
 *
 * Website : -> http://www.turbogui.org
 * License : -> Licensed under the Apache License, Version 2.0. You may not use this file except in compliance with the License.
 * License Url : -> http://www.apache.org/licenses/LICENSE-2.0
 * CopyRight : -> Copyright 2018 Edertone Advanded Solutions. https://www.edertone.com
 */
import { ElementRef } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';
import { DialogBaseComponent } from '../dialog-base/dialog-base.component';
import { DomSanitizer, SafeResourceUrl } from '@angular/platform-browser';
import * as i0 from "@angular/core";
export declare class DialogIFrameComponent extends DialogBaseComponent {
    elementRef: ElementRef;
    dialogRef: MatDialogRef<DialogBaseComponent>;
    private readonly sanitizer;
    data: any;
    static readonly DIALOG_CLASS_NAME = "DialogIFrameComponent";
    title: string;
    safeUrl: SafeResourceUrl;
    constructor(elementRef: ElementRef, dialogRef: MatDialogRef<DialogBaseComponent>, sanitizer: DomSanitizer, data: any);
    static ɵfac: i0.ɵɵFactoryDeclaration<DialogIFrameComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DialogIFrameComponent, "tg-dialog-iframe", never, {}, {}, never, never, true, never>;
}
//# sourceMappingURL=dialog-iframe.component.d.ts.map