/**
 * TurboGUI is A library that helps with the most common and generic UI elements and functionalities
 *
 * Website : -> http://www.turbogui.org
 * License : -> Licensed under the Apache License, Version 2.0. You may not use this file except in compliance with the License.
 * License Url : -> http://www.apache.org/licenses/LICENSE-2.0
 * CopyRight : -> Copyright 2018 Edertone Advanded Solutions. https://www.edertone.com
 */
import { ElementRef } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';
import { DialogBaseComponent } from '../dialog-base/dialog-base.component';
import * as i0 from "@angular/core";
/**
 * A dialog component with two option buttons, to be used with dialog service.
 * The first of the options is considered to be the primary one and will therefore have more visual accent
 */
export declare class DialogTwoOptionComponent extends DialogBaseComponent {
    elementRef: ElementRef;
    dialogRef: MatDialogRef<DialogBaseComponent>;
    data: any;
    static readonly DIALOG_CLASS_NAME = "DialogTwoOptionComponent";
    constructor(elementRef: ElementRef, dialogRef: MatDialogRef<DialogBaseComponent>, data: any);
    static ɵfac: i0.ɵɵFactoryDeclaration<DialogTwoOptionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DialogTwoOptionComponent, "tg-dialog-two-option", never, {}, {}, never, never, true, never>;
}
//# sourceMappingURL=dialog-two-option.component.d.ts.map