/**
 * TurboGUI is A library that helps with the most common and generic UI elements and functionalities
 *
 * Website : -> http://www.turbogui.org
 * License : -> Licensed under the Apache License, Version 2.0. You may not use this file except in compliance with the License.
 * License Url : -> http://www.apache.org/licenses/LICENSE-2.0
 * CopyRight : -> Copyright 2018 Edertone Advanded Solutions. https://www.edertone.com
 */
import { ElementRef, Renderer2 } from '@angular/core';
import * as i0 from "@angular/core";
/** This directive is used to perform an automatic select all text on an element every time it is focused */
export declare class AutoSelectTextOnFocusDirective {
    private el;
    private renderer;
    constructor(el: ElementRef, renderer: Renderer2);
    onFocus(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AutoSelectTextOnFocusDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<AutoSelectTextOnFocusDirective, "[autoSelectTextOnFocus]", never, {}, {}, never, never, false, never>;
}
//# sourceMappingURL=AutoSelectTextOnFocusDirective.d.ts.map