/**
 * TurboGUI is A library that helps with the most common and generic UI elements and functionalities
 *
 * Website : -> http://www.turbogui.org
 * License : -> Licensed under the Apache License, Version 2.0. You may not use this file except in compliance with the License.
 * License Url : -> http://www.apache.org/licenses/LICENSE-2.0
 * CopyRight : -> Copyright 2018 Edertone Advanded Solutions. https://www.edertone.com
 */
import { ElementRef, EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
/** This directive is used to trigger an event when the user clicks outside of an element */
export declare class ElementClickOutsideDirective {
    private readonly elementRef;
    onClickOutside: EventEmitter<void>;
    constructor(elementRef: ElementRef);
    onClick(targetElement: HTMLElement): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ElementClickOutsideDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ElementClickOutsideDirective, "[elementClickOutside]", never, {}, { "onClickOutside": "onClickOutside"; }, never, never, false, never>;
}
//# sourceMappingURL=ElementClickOutsideDirective.d.ts.map