/**
 * TurboGUI is A library that helps with the most common and generic UI elements and functionalities
 *
 * Website : -> http://www.turbogui.org
 * License : -> Licensed under the Apache License, Version 2.0. You may not use this file except in compliance with the License.
 * License Url : -> http://www.apache.org/licenses/LICENSE-2.0
 * CopyRight : -> Copyright 2018 Edertone Advanded Solutions. https://www.edertone.com
 */
import { OnDestroy, EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
/** This directive is used to listen for onDestroy events on raw html elements */
export declare class ElementDestroyedDirective implements OnDestroy {
    /**
     * Event that will be dispatched once element is destroyed
     */
    elementDestroyed: EventEmitter<ElementDestroyedDirective>;
    /**
     * Listen for the on destroy event
     */
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ElementDestroyedDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ElementDestroyedDirective, "[elementDestroyed]", never, {}, { "elementDestroyed": "elementDestroyed"; }, never, never, false, never>;
}
//# sourceMappingURL=ElementDestroyedDirective.d.ts.map